Skip to main content
PATCH
Adjust time off

Authorizations

Authorization
string
header
required

A workspace API key from Settings › Developer.

Query Parameters

workspace_id
string
required

The workspace: the 24-character ID in its Ankra address, or its UUID.

Body

application/json
id
string<uuid>
required

The request's ID.

start_date
string<date>
required

The first day off.

end_date
string<date>
required

The last day off.

type
string

The kind.

notes
string

Notes.

reason
string

Free text, for a type of "Other".

Response

OK.

id
string<uuid>
user_id
string<uuid> | null
roblox_user_id
integer | null
start_date
string<date>
end_date
string<date>
type
string | null
reason
string | null
notes
string | null
status
enum<string>
Available options:
pending,
approved,
denied
reviewed_by
string<uuid> | null
reviewed_at
string<date-time> | null
created_at
string<date-time>